This readme succinctly summarizes their code; however, the strength of this readme lies in the extra credit writeup. The profiling results clearly state their assumptions (including an asymptotic bound). Their gprof results were clearly presented, and their analysis indicates what could cause the results they measured. 